メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
orgティアおよびrepoティアのブループリントを一覧表示する
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blueprint_id": "<string>",
      "created_at": 123,
      "repo_name": "<string>",
      "type": "enterprise",
      "updated_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルで ManageRepoBlueprints 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

クエリパラメータ

repo_name
string | null

特定のリポジトリ(例: 'org/repo')に絞り込みます。

レスポンス

成功レスポンス

ブループリントのlistエンベロープ(実行順で返されます)。

data
Blueprint · object[]
必須